﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;

public class MenuManager : MonoBehaviour
{
    
    public static GameObject musicBoxSpawn;
    public static AudioSource musicBoxSource;

    public GameObject musicBox;

    void Awake(){
        if(musicBoxSpawn==null){
            MenuManager.musicBoxSpawn=GameObject.Instantiate(musicBox,Vector3.zero,Quaternion.identity);
            musicBoxSource=MenuManager.musicBoxSpawn.GetComponent<AudioSource>();
            GameObject.DontDestroyOnLoad(MenuManager.musicBoxSpawn);
        }
    }

    public void PlayFrontNine(){
        GameManager.CoursesToPlay=GameManager.GameType.Front9;
        loadGame();
    }

    public void PlayBackNine(){
        GameManager.CoursesToPlay=GameManager.GameType.Back9;
        loadGame();
    }

    private void loadGame(){
        SceneManager.LoadScene("Game1");
    }
}
