﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Ball : MonoBehaviour
{

    public ParticleSystem golferSwing;
    public ParticleSystem bootSwing;
    public float maxHoleVel=3;
    private Rigidbody rb;



    void Awake(){
        rb=GetComponent<Rigidbody>();
    }

    public void emitGolfer(){
        golferSwing.Emit(1);
    }

    public void emitBoot(){
        bootSwing.Emit(1);
    }

    
    void OnTriggerEnter(Collider other_){
        collide(other_);
    }

    void OnTriggerStay(Collider other_){
        collide(other_);
    }

    private void collide(Collider other_){
        if(GameManager.Instance.course.currentHole.hole.gameObject==other_.gameObject){
            if(rb.velocity.magnitude<=maxHoleVel){
                GameManager.Instance.course.currentHole.inHole();
            }
        }
    }
}
